from django.conf import settings
from django.contrib.auth.decorators import login_required
from django.http import HttpResponse
from django.views.static import serve


@login_required
def media(request, path):
    if settings.DEBUG:
        return serve(request, path, settings.MEDIA_ROOT)
    _res = HttpResponse()
    _res["Content-Type"] = ""
    _res["X-Accel-Redirect"] = "/internal/media/" + path
    return _res
